Subject: Re: ASCII and BINARY files. Why?
From: [email-masked] (Fergus Henderson)

28 Jan 1997 08:34:28 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Paul Shirley)
Original-Cc: [email-masked] (gnu-win32)
In-Reply-To: <[email-masked]> from "Paul Shirley" at Jan 27, 97 06:40:57 pm
X-Mailer: ELM [version 2.4 PL24]
Original-Sender: [email-masked]

Paul Shirley wrote:
> 
> AFAIK the djgpp port already handles 't' and O_TEXT modes. I had assumed
> that this came from the gnu sources ( I assumed that because who else
> would add an O_BIN flag when native DOS compilers all use O_BINARY ;)
> 
> If not, borrowing from the djgpp source should be fairly
> straightforward.

It might well be straightforward to implement 't' and O_TEXT,
but it would be a _bad idea_ to do so, because it would be a
bad idea to use those features.  Using 't' and O_TEXT would be a bad
idea even if they were implemented, because doing so would reduce
portability, rather than improving it, because they are non-standard.

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".